From 4335b788bcba2ae9d4e0c66a186fe2b45c8696a1 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 30 Jan 2012 15:30:08 -0600
Subject: Preliminary work on letters

---
 grade/edit/letter/edit_form.php |    4 ++--
 grade/edit/letter/index.php     |   12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/grade/edit/letter/edit_form.php b/grade/edit/letter/edit_form.php
index 9931484..35ecd85 100644
--- a/grade/edit/letter/edit_form.php
+++ b/grade/edit/letter/edit_form.php
@@ -59,12 +59,12 @@ class edit_letter_form extends moodleform {
                 $mform->disabledIf($gradelettername, $gradeboundaryname, 'eq', -1);
             }
 
-            $mform->addElement('select', $gradeboundaryname, $gradeboundary." $i", $percentages);
+            $mform->addElement('text', $gradeboundaryname, $gradeboundary." $i");
             if ($i == 1) {
                 $mform->addHelpButton($gradeboundaryname, 'gradeboundary', 'grades');
             }
             $mform->setDefault($gradeboundaryname, -1);
-            $mform->setType($gradeboundaryname, PARAM_INT);
+            $mform->setType($gradeboundaryname, PARAM_FLOAT);
 
             if (!$admin) {
                 $mform->disabledIf($gradeboundaryname, 'override', 'notchecked');
diff --git a/grade/edit/letter/index.php b/grade/edit/letter/index.php
index e0a2904..be6e307 100644
--- a/grade/edit/letter/index.php
+++ b/grade/edit/letter/index.php
@@ -85,11 +85,11 @@ if (!$edit) {
     $max = 100;
     foreach($letters as $boundary=>$letter) {
         $line = array();
-        $line[] = format_float($max,2).' %';
-        $line[] = format_float($boundary,2).' %';
+        $line[] = format_float($max,5).' %';
+        $line[] = format_float($boundary,5).' %';
         $line[] = format_string($letter);
         $data[] = $line;
-        $max = $boundary - 0.01;
+        $max = $boundary - 0.00001;
     }
 
     print_grade_page_head($COURSE->id, 'letter', 'view', get_string('gradeletters', 'grades'));
@@ -100,9 +100,9 @@ if (!$edit) {
 
     $table = new html_table();
     $table->head  = array(get_string('max', 'grades'), get_string('min', 'grades'), get_string('letter', 'grades'));
-    $table->size  = array('30%', '30%', '40%');
+    $table->size  = array('33%', '33%', '34%');
     $table->align = array('left', 'left', 'left');
-    $table->width = '30%';
+    $table->width = '40%';
     $table->data  = $data;
     $table->tablealign  = 'center';
     echo html_writer::table($table);
@@ -147,7 +147,7 @@ if (!$edit) {
                 if ($letter == '') {
                     continue;
                 }
-                $letters[$data->$gradeboundaryname] = $letter;
+                $letters["{$data->$gradeboundaryname}"] = $letter;
             }
         }
         krsort($letters, SORT_NUMERIC);
-- 
1.7.1


